OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Class LdapMonitor

    java.lang.Object
      org.opennms.netmgt.poller.monitors.IPv4Monitor
          org.opennms.netmgt.poller.monitors.LdapMonitor

All Implemented Interfaces:
  ServiceMonitor

public final class LdapMonitor
extends IPv4Monitor

This class is designed to be used by the service poller framework to test the availability of a generic LDAP service on remote interfaces. The class implements the ServiceMonitor interface that allows it to be used along with other plug-ins by the service poller framework.

Author:
  Jason , OpenNMS

Nested Class Summary
`private class` `LdapMonitor.TimeoutLDAPSocket` A class to add a timeout to the socket that the LDAP code uses to access an LDAP server

Field Summary
`private static java.lang.String` `DEFAULT_BASE` Default search base for an LDAP search
`private static java.lang.String` `DEFAULT_FILTER` Default search filter for an LDAP search
`private static int` `DEFAULT_RETRY` Default retries.
`private static int` `DEFAULT_TIMEOUT` Default timeout.

Fields inherited from interface org.opennms.netmgt.poller.monitors.ServiceMonitor
`SERVICE_AVAILABLE, SERVICE_STATUS_MASK, SERVICE_UNAVAILABLE, SERVICE_UNKNOWN, SERVICE_UNRESPONSIVE, SURPRESS_EVENT_MASK`

Constructor Summary
`LdapMonitor()`

Method Summary
`int` `poll(NetworkInterface iface, java.util.Map parameters, Package pkg)` Poll the specified address for service availability.

Methods inherited from class org.opennms.netmgt.poller.monitors.IPv4Monitor
`initialize, initialize, release, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default retries.

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout. Specifies how long (in milliseconds) to block waiting for data from the monitored interface.

  See Also:
    Constant Field Values

### DEFAULT_BASE

    private static final java.lang.String DEFAULT_BASE

  Default search base for an LDAP search

  See Also:
    Constant Field Values

### DEFAULT_FILTER

    private static final java.lang.String DEFAULT_FILTER

  Default search filter for an LDAP search

  See Also:
    Constant Field Values

Constructor Detail

### LdapMonitor

    public LdapMonitor()

Method Detail

### poll

    public int poll(NetworkInterface iface,
                    java.util.Map parameters,
                    Package pkg)

  Poll the specified address for service availability. During the poll an attempt is made to connect the service. Provided that the interface's response is valid we set the service status to SERVICE_AVAILABLE and return.

  Parameters:
    `iface` - The network interface to test the service on.
    `parameters` - The package parameters (timeout, retry, etc...) to be used for this poll.
  Returns:
    The availibility of the interface and if a transition event should be supressed.
  Throws:
    `java.lang.RuntimeException` - Thrown if the interface experiences errors during the poll.
  See Also:
    `ServiceMonitor.SURPRESS_EVENT_MASK`, `ServiceMonitor.SERVICE_AVAILABLE`, `ServiceMonitor.SERVICE_UNAVAILABLE`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.